Foreman - Bug #17681

Organization context menu not being updated on creating new organization

12/15/2016 05:25 AM - Ondfej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Organizations and Locations
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1336486 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4118
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1336486

On creating a new organization via “'manage organizations™ page, the title of the Context-switching menu changes to 'Any Context'

(however, according to the behavior, the context has changed to the newly created organization).

Steps to Reproduce:
1. create a new organization using WebUI
2. Notice the Organization dropdown stays at/changes to 'Any Context'

Actual results:
navbar menu says: "Any Context"

Expected results:
navbar menu changes to the name of the newly created Org

Related issues:
Related to Katello - Bug #17896: Switch to newly created organization Closed

Related to Foreman - Bug #21867: Context is not restored to newly created tax... Closed

01/03/2017
12/05/2017

Associated revisions

Revision 9f68d4d9 - 01/25/2017 04:38 AM - Ondfej Prazak

Fixes #17681 - Switch to newly created taxonomy

Revision 328¢7{27 - 01/30/2017 11:09 AM - Ondiej Prazak

Fixes #17681 - Switch to newly created taxonomy

(cherry picked from commit 9f68d4d91af0eef381a97dd5¢c4b33c114282d4e2)

History

#1 - 12/15/2016 05:25 AM - Ondfej Prazak

- Subject changed from Organization context menu not being updated on creating new organization
to Organization context menu not being updated on creating new organization

- Assignee set to Ondrej PraZzak

#2 - 12/16/2016 06:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4118 added

#3 - 01/03/2017 02:44 AM - Ondfej Prazak
- Related to Bug #17896: Switch to newly created organization added

#4 - 01/11/2017 11:33 AM - Marek Hulan

05/22/2024
https://bugzilla.redhat.com/show_bug.cgi?id=1336486

- Target version setto 1.11.2

#5 - 01/25/2017 05:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9f68d4d91af0eef381a97dd5c4b33c114282d4e2.

#6 - 01/25/2017 07:51 AM - Dominic Cleal
- Tracker changed from Bug to Feature

- translation missing: en.field_release set to 209

#7 - 01/25/2017 07:52 AM - Dominic Cleal
- Tracker changed from Feature to Bug

- translation missing: en.field_release changed from 209 to 210

The context is changed already, the menu is incorrect.

#8 - 12/12/2017 11:10 AM - Marek Hulan

- Related to Bug #21867: Context is not restored to newly created taxonomy when leaving the wizard added

05/22/2024
